package com.company.compkey.entity;

import com.company.compkey.entity.key.TypeCompKey;
import io.jmix.core.DeletePolicy;
import io.jmix.core.entity.annotation.OnDeleteInverse;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.*;

@JmixEntity
@Table(name = "TYPE_")
@Entity(name = "Type_")
public class Type {
	@EmbeddedId
	private TypeCompKey id;
	@InstanceName
	@Column(name = "description")
	private String description;
	@OnDeleteInverse(DeletePolicy.CASCADE)
	@JoinColumn(name = "catalog", nullable = false)
	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private Catalog catalog;

	public Catalog getCatalog() {
		return catalog;
	}

	public void setCatalog(Catalog catalog) {
		this.catalog = catalog;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public TypeCompKey getId() {
		return id;
	}

	public void setId(TypeCompKey id) {
		this.id = id;
	}
}