package com.company.compkey.view.type;

import com.company.compkey.entity.Catalog;
import com.company.compkey.entity.Type;
import com.company.compkey.view.main.MainView;
import com.vaadin.flow.component.AbstractField;
import com.vaadin.flow.router.Route;
import io.jmix.flowui.component.textfield.TypedTextField;
import io.jmix.flowui.component.valuepicker.EntityPicker;
import io.jmix.flowui.view.*;

@Route(value = "types/:id", layout = MainView.class)
@ViewController(id = "Type_.detail")
@ViewDescriptor(path = "type-detail-view.xml")
@EditedEntityContainer("typeDc")
public class TypeDetailView extends StandardDetailView<Type> {
	@ViewComponent
	private TypedTextField<String> idCatalogNameField;

	@Subscribe("tetCatalogNameField")
	public void onTetCatalogNameFieldComponentValueChange(final AbstractField.ComponentValueChangeEvent<EntityPicker<Catalog>, Catalog> event) {
		idCatalogNameField.setValue(event.getValue().getCatalogName());
	}

}